import { ElementRef, OnChanges, OnInit } from "@angular/core";
import { NgControl } from "@angular/forms";
export declare class QMSFileUploadDisplayDirective implements OnInit, OnChanges {
    ele: ElementRef;
    private control;
    eleInput: ElementRef;
    removeInvalid: () => void;
    addInvalid: () => void;
    value: any;
    constructor(ele: ElementRef, control: NgControl);
    ngOnInit(): void;
    ngOnChanges(): void;
    Click(): void;
}
